RHEL 7:カーネル(RHSA-2021:0019)

high Nessus プラグイン ID 144754
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

リモートのRedhat Enterprise Linux 7ホストにインストールされているパッケージは、RHSA-2021: 0019アドバイザリに記載されている複数の脆弱性の影響を受けます。

- kernel:drivers/scsi/libsas/sas_expander.cのsmp_task_timedout()およびsmp_task_done()の競合状態によりuse-after-freeが発生します(CVE-2018-20836)

- kernel:drivers/bluetooth/hci_ldisc.cにおけるuse-after-free(CVE-2019-15917)

- kernel:細工されたキーコードテーブルによる領域外書き込み(CVE-2019-20636)

Nessusはこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://cwe.mitre.org/data/definitions/362.html

https://cwe.mitre.org/data/definitions/416.html

https://cwe.mitre.org/data/definitions/787.html

https://access.redhat.com/security/cve/CVE-2018-20836

https://access.redhat.com/security/cve/CVE-2019-15917

https://access.redhat.com/security/cve/CVE-2019-20636

https://access.redhat.com/errata/RHSA-2021:0019

https://bugzilla.redhat.com/1707796

https://bugzilla.redhat.com/1760100

https://bugzilla.redhat.com/1824059

プラグインの詳細

深刻度: High

ID: 144754

ファイル名: redhat-RHSA-2021-0019.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2021/1/6

更新日: 2021/7/26

依存関係: ssh_get_info.nasl, redhat_repos.nasl, linux_alt_patch_detect.nasl

リスク情報

CVSS スコアのソース: CVE-2018-20836

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: High

Base Score: 9.3

Temporal Score: 6.9

ベクトル: AV:N/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.1

Temporal Score: 7.1

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:redhat:rhel_aus:7.7, cpe:/o:redhat:rhel_e4s:7.7, cpe:/o:redhat:rhel_eus:7.7, cpe:/o:redhat:rhel_tus:7.7, p-cpe:/a:redhat:enterprise_linux:bpftool, p-cpe:/a:redhat:enterprise_linux:kernel, p-cpe:/a:redhat:enterprise_linux:kernel-abi-whitelists, p-cpe:/a:redhat:enterprise_linux:kernel-bootwrapper, p-cpe:/a:redhat:enterprise_linux:kernel-debug, p-cpe:/a:redhat:enterprise_linux:kernel-debug-devel, p-cpe:/a:redhat:enterprise_linux:kernel-devel, p-cpe:/a:redhat:enterprise_linux:kernel-kdump, p-cpe:/a:redhat:enterprise_linux:kernel-kdump-devel, p-cpe:/a:redhat:enterprise_linux:kernel-tools, p-cpe:/a:redhat:enterprise_linux:kernel-tools-libs, p-cpe:/a:redhat:enterprise_linux:kernel-tools-libs-devel, p-cpe:/a:redhat:enterprise_linux:perf, p-cpe:/a:redhat:enterprise_linux:python-perf

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/1/5

脆弱性公開日: 2019/5/7

参照情報

CVE: CVE-2018-20836, CVE-2019-15917, CVE-2019-20636

BID: 108196

RHSA: 2021:0019

CWE: 362, 416, 787